package com.foreverwin.mesnac.equip.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 设备检验任务-备品表
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-07-01
 */

@TableName("Z_RESOURCE_INSPECT_TASK_SPARE")

public class ResourceInspectTaskSpare extends Model<ResourceInspectTaskSpare> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 备品编号
     */
   @TableField("SPARE_NO")
   private String spareNo;
    /**
     * 任务HANDLE
     */
   @TableField("RESOURCE_INSPECT_TASK_BO")
   private String resourceInspectTaskBo;
    /**
     * 备品HANDLE
     */
   @TableField("ITEM_BO")
   private String itemBo;
    /**
     * 备品描述
     */
   @TableField("DESCRIPTION")
   private String description;
    /**
     * 数量
     */
   @TableField("QTY")
   private Double qty;
    /**
     * 单位
     */
   @TableField("UNIT")
   private String unit;
    /**
     * 备注
     */
   @TableField("REMARK")
   private String remark;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;

   /**
    * 序号
    * **/
   @TableField(exist = false)
   private Integer seq;

   public Integer getSeq() {
      return seq;
   }

   public void setSeq(Integer seq) {
      this.seq = seq;
   }

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSpareNo() {
      return spareNo;
   }

   public void setSpareNo(String spareNo) {
      this.spareNo = spareNo;
   }

   public String getResourceInspectTaskBo() {
      return resourceInspectTaskBo;
   }

   public void setResourceInspectTaskBo(String resourceInspectTaskBo) {
      this.resourceInspectTaskBo = resourceInspectTaskBo;
   }

   public String getItemBo() {
      return itemBo;
   }

   public void setItemBo(String itemBo) {
      this.itemBo = itemBo;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public Double getQty() {
      return qty;
   }

   public void setQty(Double qty) {
      this.qty = qty;
   }

   public String getUnit() {
      return unit;
   }

   public void setUnit(String unit) {
      this.unit = unit;
   }

   public String getRemark() {
      return remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SPARE_NO = "SPARE_NO";

public static final String RESOURCE_INSPECT_TASK_BO = "RESOURCE_INSPECT_TASK_BO";

public static final String ITEM_BO = "ITEM_BO";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String QTY = "QTY";

public static final String UNIT = "UNIT";

public static final String REMARK = "REMARK";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ResourceInspectTaskSpare{" +
         "handle = " + handle +
         ", spareNo = " + spareNo +
         ", resourceInspectTaskBo = " + resourceInspectTaskBo +
         ", itemBo = " + itemBo +
         ", description = " + description +
         ", qty = " + qty +
         ", unit = " + unit +
         ", remark = " + remark +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}